-- Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
CREATE TEMPORARY TABLE `Repositories_tmp` (
  `id`, `domainId`, `name`, `type`, `autoDeploy`,
  `branch`, `deploymentPath`, `fetchUrl`, `uuid`, `skipSslVerification`, `postDeploymentActions`
);
INSERT INTO `Repositories_tmp` SELECT
  `id`, `domainId`, `name`, `type`, `autoDeploy`,
  `branch`, `deploymentPath`, `fetchUrl`, `uuid`, `skipSslVerification`, `postDeploymentActions`
  FROM `Repositories`;
DROP TABLE `Repositories`;
CREATE TABLE `Repositories` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
  `domainId` int(10) NOT NULL,
  `name` varchar(255) NOT NULL,
  `type` varchar(20) NOT NULL DEFAULT 'none',
  `deploymentMode` varchar(20) NOT NULL DEFAULT 'none',
  `branch` varchar(255) DEFAULT NULL,
  `deploymentPath` varchar(255) DEFAULT NULL,
  `fetchUrl` varchar(255) DEFAULT NULL,
  `uuid` varchar(36) NOT NULL,
  `skipSslVerification` int(1) NOT NULL DEFAULT '0',
  `postDeploymentActions` TEXT DEFAULT NULL
);
INSERT INTO `Repositories`
(
`id`, `domainId`, `name`, `type`,
`deploymentMode`,
`branch`, `deploymentPath`, `fetchUrl`, `uuid`, `skipSslVerification`, `postDeploymentActions`
)
SELECT
`id`, `domainId`, `name`, `type`,
case when `autoDeploy` = 1 then 'auto' else 'manual' end as `deploymentMode`,
`branch`, `deploymentPath`, `fetchUrl`, `uuid`, `skipSslVerification`, `postDeploymentActions`
FROM `Repositories_tmp`;
DROP TABLE `Repositories_tmp`;
