<?php
// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
$messages = [
    // buttons
    'gitButton' => 'Git',
    'gitButtonDescription' => 'Manage Git repositories for this website.',
    'gitButtonEnabled' => 'Enabled',
    'deployButton' => 'Deploy',
    'deployFromButton' => 'Deploy from Repository',
    'pullButton' => 'Pull Updates',
    'settingsButton' => 'Repository Settings',
    'commitLogButton' => 'Commit Logs',
    'howToInitButton' => 'Help',
    'removeButton' => 'Remove Repository',
    'addButton' => 'Add Repository',
    'addButtonDescription' => 'Add Repository',
    'refreshButton' => 'Refresh',

    // permissions
    'gitPermission' => 'Git management',
    'gitPermissionDescription' => 'Allows customers to use Git.',

    'controllers' => [
        'index' => [
            'title' => 'Git Module Information',
        ],
        'domain' => [
            'list' => [
                'title' => 'Git Repositories',
                'titleForObject' => 'Git Repositories on %%name%%',
            ],
            'add' => [
                'title' => 'Add Git Repository',
                'success' => 'Repository created',
                'fail' => 'Unable to create the repository: %%message%%',
            ],
            'settings' => [
                'title' => 'Settings',
                'titleForObject' => 'The settings of %%name%%',
                'success' => 'The repository "%%name%%" settings were updated.',
                'updateFail' => 'Unable to update the repository "%%name%%" settings: %%message%%',
                'settingsFail' => 'Unable to display settings for the repository "%%name%%": %%message%%'
            ],
            'remove' => [
                'success' => 'The repository "%%name%%" was removed.',
                'fail' => 'Unable to delete the repository: %%message%%',
            ],
            'deploy' => [
                'title' => 'Deploy from repository',
                'success' => 'Repository "%%name%%" files were deployed.',
                'fail' => 'Unable to deploy files from the repository "%%name%%": %%message%%',
            ],
            'pull' => [
                'fail' => 'Unable to pull to the repository "%%name%%"',
            ],
            'howTo' => [
                'title' => '"How To" Instructions',
                'titleForObject' => '"How To" Instructions for %%name%%',
            ],
            'changeDeployment' => [
                'success' => 'Branch and path were updated for %%name%%.',
                'error' => 'Branch and path were not updated for %%name%%. Error: %%message%%.',
                'emptyBranches' => 'Repository branches are epmty',
                'unexpectedActiveBranch' => 'Unexpected branch %%name%% (%%branches%%)',
            ],
            'commit-log' => [
                'title' => 'Commit Logs',
                'titleForObject' => 'Commit Logs of %%name%%',
            ]
        ]
    ],
    'forms' => [
        'index' => [
            'description' => 'Git Manager Extension',
            'statisticTitle' => 'Usage Statistic',
            'commonRepositories' => 'The overall number of repositories',
            'remoteRepositories' => 'The number of remote repositories',
            'localRepositories' => 'The number of local repositories',
            'autoDeployRepositories' => 'The number of repositories with the automated deploy mode',
            'manualDeployRepositories' => 'The number of repositories with the manual deploy mode',
            'noDeployRepositories' => 'The number of repositories with the no deploy mode',
        ],
        'addWithDomain' => [
            'deploymentDisabledHint' => 'Upload files from a Git repository',
            'deploymentEnabledHint' => 'Enable Git support',
            'deploymentSectionLegend' => 'Your Files to Copy to Hosting',
            'deploymentSectionDescriptionHint' => 'If you leave Git support disabled, the root directories (website/application root and document root) will be created empty, and the site will display the default page in the browser. You will need to upload the files of your site to the document root using FTP or File Manager. Alternatively, enable Git now or later (in Websites & Domains) and upload files from a Git repository.',
        ],
        'add' => [
            'deployment' => [
                'title' => 'Your Website',
                'path' => 'Git files root directory',
                'pathHint' => 'The path to files stored in your Git repository.',
                'modes' => [
                    'auto' => [
                        'title' => 'Automatic deployment',
                        'linkText' => 'automatically deployed',
                        'head' => 'Files from the repository will be',
                        'hint' => 'Files will be deployed to the production site as soon as they are pushed to the Plesk repository.',
                        'value' => 'auto'
                    ],
                    'manual' => [
                        'title' => 'Manual deployment',
                        'linkText' => 'manually deployed',
                        'head' => 'Files from the repository have to be',
                        'hint' => 'Files have to be manually deployed to the production site after they are pushed to the Plesk repository.',
                        'value' => 'manual'
                    ],
                    'none' => [
                        'title' => 'No deployment (repository hosting)',
                        'linkText' => 'not be deployed.',
                        'head' => 'Files from the repository will',
                        'hint' => 'Files will not be deployed to the production site.',
                        'value' => 'none'
                    ]
                ],
                'deploymentModeTitle' => 'Deployment Mode',
                'deploymentModeDescription' => 'Select deploy mode:',
                'deploymentPathTitle' => 'Deployment Path',
                'deploymentPathDescription' => 'Select directory for deployment:',
                'deploymentPathCreateFolder' => 'Create Folder',
                'popUpOk' => 'Ok',
                'popUpCancel' => 'Cancel',
                'rootDirectoryTitle' => 'Root directory',
                'to' => 'to',
                'toLongDescription' => 'to the following directory',
                'directory' => ' directory.',
            ],
            'type' => 'Your code is stored in:',
            'typeLocal' => 'Local repository on your workstation',
            'typeRemote' => 'Remote Git hosting like GitHub or BitBucket',
            'sshKey' => 'SSH public key',
            'sshKeyHint' => 'This is the public part of the SSH key used for authorization in the remote repository. It should be added to the remote service.',
            'sshKeyNotice' => 'Before you proceed, please copy and paste the public part of the SSH key into your service (GitHub or BitBucket) used for the remote repository.',
            'url' => 'Remote Git repository',
            'urlHint' => 'Both HTTPS and SSH protocols are supported.',
            'name' => 'Repository Link',
            'nameHint' => 'This name will be used in the repository\'s URL.',
            'nameForm' => 'Git Repository in Plesk',
            'nameFormDescription' => 'After the repository is created, you should specify its URL as the remote destination URL in your local repository settings.',
        ],
        'list' => [
            'fetchUrl' => 'Remote repository\'s URL:',
            'pushUrl' => 'Repository URL:',
            'automaticDeploy' => 'Automatic deploy to',
            'manualDeploy' => 'Manual deploy to',
            'noDeploy' => 'Deploy is <b>disabled</b>',
            'copyToClipboardToolTip' => 'Copy URL to Clipboard',
            'branch' => 'Branch',
            'changeBranch' => 'Change branch and path',
        ],
        'settings' => [
            'sshKey' => 'SSH public key',
            'sshKeyHint' => 'This is the public part of the SSH key used for authorization in the remote repository. It should be added to the remote service.',
            'webhookUrlLabel' => 'Webhook URL',
            'webhookUrlDescription' => 'Specify this URL in repository settings on a remote service (for example, Bitbucket or GitHub).',
            'actionsEnabled' => 'Enable additional deploy actions',
            'actionsEnabledHint' => 'Specify shell commands that should run every time upon deployment.',
            'name' => 'Repository name',
            'nameHint' => 'This name will be used in the repository\'s URL.',
            'remoteUrlLabel' => 'Git repository',
            'actions' => 'Actions',
            'actionsHint' => 'Type each command on a new line.',

        ],
        'howTo' => [
            'howToDescription' => 'Below are instructions on how to initiate a local repository and how to update an existing repository.',
            'creteLabel' => 'Create Repository',
            'existLabel' => 'Existing Git Repository',
        ],
    ],
    'lists' => [
        'common' => [
            'less' => 'Less',
            'more' => 'More',
        ],
        'commit-log' => [
            'date' => 'Time',
            'dateFilter' => 'Time From',

            'hash' => 'Hash',

            'userNameEmail' => 'User Name <email>',
            'userNameEmailFilter' => 'User Name, Email',

            'message' => 'Message',

            'refreshButtonHint' => 'Refresh log data',
            'logsForBranch' => 'Logs for branch %%branch%%'
        ],
    ],

    // list
    'buttonDeployFromRepository' => 'Deploy from Repository',
    'buttonPull' => 'Pull Updates',
    'disabledDeploy' => 'Deploy is disabled',
    'repositorySettings' => 'Repository Settings',
    'howToInitRepository' => 'Help',
    'removeRepository' => 'Remove Repository',
    'wasCopiedToClipboardToolTip' => 'The URL was copied to Clipboard.',
    'removeConfirmation' => 'Remove the "%%name%%" repository?',
    'removeConfirmationButtonYes' => 'Yes',
    'removeConfirmationButtonNo' => 'No',
    'lastCommitInfo' => 'Last commit info:',
    'additionalActionsInfo' => 'Additional deployment actions:',
    'repositoryNotFound' => 'Unable to find the repository with ID = %%id%%.',
    'repositoryNotExist' => 'Unable to find the repository "%%name%%" on the file system.',
    // popup
    'popupTitle' => 'Change Branch and Path for %%repositoryName%%',
    'popupBranchLabel' => 'Branch',
    'popupDeployPathLabel' => 'The deploy path for the branch',
    'popupDeployPathCreate' => 'Create Folder',
    'popupRootDirectory' => 'Root Directory',
    'popupWaitMessage' => 'wait',
    'popupButtonOk' => 'Ok',
    'popupButtonCancel' => 'Cancel',
    'popupBranchNotSelected' => '&lt;branch not selected&gt;',

    // validators
    'repositoryNameInvalid' => 'The repository name "%value%" contains prohibited characters. Only Latin characters, numbers, dashes, underscores, and dots are allowed.',
    'repositoryNameAlreadyExists' => 'The repository with the name "%value%" already exists.',
    'deploymentPathNotInWebspaceRoot' => 'The deployment path "%value%" is not in the subscription\'s directory "%path%".',
    'deploymentPathNotDirectory' => 'The deployment path "%value%" is not a directory.',
    'deploymentPathAlreadyUsed' => 'The deployment path "%value%" is already used by another repository. You can lose your data if you proceed.',
    'notGitUrl' => 'The string "%value%" is not a Git URL.',
    'containsPassword' => 'The string "%value%" contains password which is insecure.',

    'tasks' => [
        'create' => [
            'title' => 'Deploying files to %%name%%',
            'clone' => 'Cloning Git repository %%name%%...',
            'redirectTitle' => 'Open the Git repository'
        ],
        'pull' => [
            'progress' => 'Pulling Git repository %%name%%...',
            'done' => 'The Git repository %%nameLink%% has been pulled to %%domainLink%%.',
        ],
    ],
    'exceptions' => [
        'needSiteId' => 'Undefined site_id parameter.',
        'siteDoesNotHaveHosting' => 'The site does not have physical hosting.',
        'clientHasNotAccessToDomain' => 'Permission denied: the user does not have access to domain.',
        'clientHasNotManagePermission' => 'Permission denied: the user does not have the manage permission.',
    ],
    'api' => [
        'commandNotFound' => 'The command "%%command%%" was not found.',
        'domainNameIsEmpty' => 'The domain name is empty.',
        'repositoryNameIsEmpty' => 'The repository name is empty.',
        'domainDoesNotExist' => 'The domain "%%domain%%" does not exist.',
        'domainDoesNotHaveHosting' => 'The domain "%%domain%%" does not have physical hosting.',
        'clientHasNotAccessToDomain' => 'The user does not have access to domain "%%domain%%.',
        'gitNotAllowedOnDomain' => 'Git is not allowed on domain "%%domain%%".',
        'repositoryOnDomainDoesNotExist' => 'The repository with the name %%name%% does not exist on the domain %%domain%%.',
        'fetchAllowOnlyPullRepositories' => 'The fetch command works only with repositories on remote Git hosting.',
        'invalidActiveBranch' => 'The invalid active branch %%active-branch%% is not included in [%%branches%%]',
        'invalidActiveBranchBranchesEmpty' => 'Branches are empty.',

        'cli' => [
            'warning' => 'WARNING: %%warning%%',
            'list' => [
                'empty' => 'no repositories',
                'columnDomainName' => 'Domain name',
                'columnRepositoryName' => 'Repository name',
                'columnRepositoryType' => 'Type',
            ],
            'info' => [
                'domainName' => 'Domain name',
                'repositoryName' => 'Repository name',
                'deploymentPath' => 'Deployment path',
                'deploymentMode' => 'Deployment mode',
                'activeBranch' => 'Active branch',
                'repositoryType' => 'Repository type',
                'remoteUrl' => 'Remote URL',
                'webHookUrl' => 'Webhook URL',
                'skipSsl' => 'Skip SSL verification',
                'url' => 'Clone URL',
                'actions' => 'Post-Deploy Actions',
            ],
            'create' => [
                'success' => 'The repository "%%name%%" was created.',
            ],
            'update' => [
                'success' => 'The repository "%%name%%" was updated.',
            ],
            'remove' => [
                'success' => 'The repository "%%name%%" was removed.',
            ],
            'deploy' => [
                'success' => 'The repository "%%name%%" was deployed.',
            ],
            'fetch' => [
                'success' => 'The repository "%%name%%" information was fetched.',
            ],
            'getLastCommit' => [
                'noCommits' => 'The repository "%%name%%" does not have commits.',
            ]
        ],
    ],
    'cli' => [
        'commands' => [
            'list' => 'Displays the list of Git repositories on all domains (by default). To display repositories on a specific domain, use with the domain option.',
            'info' => 'Displays repository settings.',
            'create' => 'Creates a repository.',
            'update' => 'Updates repository settings.',
            'remove' => 'Removes a repository.',
            'deploy' => 'Deploys a repository.',
            'fetch' => 'Fetches a remote repository.',
            'get-last-commit' => 'Displays the last commit.',
        ],
        'options' => [
            'domain' => 'Domain name (use with the "list", "info", "create", "update", "remove", "deploy" and "fetch" commands).',
            'name' => 'Repository name (use with the "info", "create", "update", "remove", "deploy" and "fetch" commands).',
            'deployment-path' => 'Deployment path (use with the "create" and "update" commands).',
            'remote-url' => 'URL of a remote Git repository (use with the "create" and "update" commands).',
            'active-branch' => 'Active branch (use with the "create" and "update" commands).',
            'deployment-mode' => 'Deployment mode (use with the "create" and "update" commands).',
            'skip-ssl-verification' => 'Skip ssl verification remote repository on pull operation (use with the "create" and "update" commands).',
            'actions' => 'Shell commands that should run every time upon deployment (use with the "create" and "update" commands).',
            'new-name' => 'Repository name (use with the "update" command).',
        ],
    ],
];
